Mailinglist Archive: opensuse-packaging (182 mails)

< Previous Next >
[opensuse-packaging] Re: Fixing --as-needed packages (was [opensuse-factory] status distribution)
  • From: Cristian Morales Vega <cmorve69@xxxxxxxx>
  • Date: Thu, 18 Jun 2009 14:35:36 +0200
  • Message-id: <8235e6f40906180535o2187b4dfn441cd6b3ecb98b5e@xxxxxxxxxxxxxx>
2009/6/18 Cristian Rodríguez <crrodriguez@xxxxxxxxxxxx>:
On 17/06/09 16:51, Cristian Morales Vega wrote:

coolo published a list of packages that fail to build with --as-needed
at http://www.suse.de/~coolo/asneeded/ (see Factory ML for details),
so I continue this in opensuse-packaging ML so people can say in which
packages they are working and so...

I take care of alsa-tools (fltk is the problematic package), ami and
DirectFB.

I fixed several of the broken packages and coolo did as well. but there are
still many others.

There is some easy way to see when a package has already been fixed?
I'm creating patches with name %name-%version-as-needed.patch, but
DirectFB will probably be fixed with just an update, without any
patch.
And I have still not submitted any, waiting for them to compile in the
BS but is constantly "blocked" by other Factory packages being rebuilt
since yesterday.

Also, I have being putting an "export SUSE_ASNEEDED=1" line at the
start of the %build section to make the test and then removing it. I
suppose there is a more correct way, through BS config, but I have no
idea of how it could work.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups